Name:        liberation-mono-nerd-fonts
Version:     3.4.0
Release:     %autorelease
Summary:     Iconic font aggregator, collection, & patcher.

BuildArch:   noarch
License:     OFL-1.1
URL:         https://github.com/ryanoasis/nerd-fonts
Source0:     %{url}/releases/download/v%{version}/LiberationMono.tar.xz

%description
Nerd Fonts is a project that patches developer targeted fonts with a high
number of glyphs (icons). Specifically to add a high number of extra glyphs
from popular 'iconic fonts' such as Font Awesome, Devicons, Octicons, and
others.

%prep
%autosetup -c

%build
# Nothing to do here

%install

install -Dm644 LiterationMonoNerdFont-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/LiterationMonoNerdFont-Bold.ttf
install -Dm644 LiterationMonoNerdFont-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/LiterationMonoNerdFont-BoldItalic.ttf
install -Dm644 LiterationMonoNerdFont-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/LiterationMonoNerdFont-Italic.ttf
install -Dm644 LiterationMonoNerdFont-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/LiterationMonoNerdFont-Regular.ttf
install -Dm644 LiterationMonoNerdFontMono-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/LiterationMonoNerdFontMono-Bold.ttf
install -Dm644 LiterationMonoNerdFontMono-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/LiterationMonoNerdFontMono-BoldItalic.ttf
install -Dm644 LiterationMonoNerdFontMono-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/LiterationMonoNerdFontMono-Italic.ttf
install -Dm644 LiterationMonoNerdFontMono-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/LiterationMonoNerdFontMono-Regular.ttf
install -Dm644 LiterationMonoNerdFontPropo-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/LiterationMonoNerdFontPropo-Bold.ttf
install -Dm644 LiterationMonoNerdFontPropo-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/LiterationMonoNerdFontPropo-BoldItalic.ttf
install -Dm644 LiterationMonoNerdFontPropo-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/LiterationMonoNerdFontPropo-Italic.ttf
install -Dm644 LiterationMonoNerdFontPropo-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/LiterationMonoNerdFontPropo-Regular.ttf
install -Dm644 LiterationSansNerdFont-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/LiterationSansNerdFont-Bold.ttf
install -Dm644 LiterationSansNerdFont-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/LiterationSansNerdFont-BoldItalic.ttf
install -Dm644 LiterationSansNerdFont-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/LiterationSansNerdFont-Italic.ttf
install -Dm644 LiterationSansNerdFont-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/LiterationSansNerdFont-Regular.ttf
install -Dm644 LiterationSansNerdFontPropo-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/LiterationSansNerdFontPropo-Bold.ttf
install -Dm644 LiterationSansNerdFontPropo-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/LiterationSansNerdFontPropo-BoldItalic.ttf
install -Dm644 LiterationSansNerdFontPropo-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/LiterationSansNerdFontPropo-Italic.ttf
install -Dm644 LiterationSansNerdFontPropo-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/LiterationSansNerdFontPropo-Regular.ttf
install -Dm644 LiterationSerifNerdFont-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/LiterationSerifNerdFont-Bold.ttf
install -Dm644 LiterationSerifNerdFont-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/LiterationSerifNerdFont-BoldItalic.ttf
install -Dm644 LiterationSerifNerdFont-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/LiterationSerifNerdFont-Italic.ttf
install -Dm644 LiterationSerifNerdFont-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/LiterationSerifNerdFont-Regular.ttf
install -Dm644 LiterationSerifNerdFontPropo-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/LiterationSerifNerdFontPropo-Bold.ttf
install -Dm644 LiterationSerifNerdFontPropo-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/LiterationSerifNerdFontPropo-BoldItalic.ttf
install -Dm644 LiterationSerifNerdFontPropo-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/LiterationSerifNerdFontPropo-Italic.ttf
install -Dm644 LiterationSerifNerdFontPropo-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/LiterationSerifNerdFontPropo-Regular.ttf

%files

%{_datadir}/fonts/%{name}/LiterationMonoNerdFont-Bold.ttf
%{_datadir}/fonts/%{name}/LiterationMonoNerdFont-BoldItalic.ttf
%{_datadir}/fonts/%{name}/LiterationMonoNerdFont-Italic.ttf
%{_datadir}/fonts/%{name}/LiterationMonoNerdFont-Regular.ttf
%{_datadir}/fonts/%{name}/LiterationMonoNerdFontMono-Bold.ttf
%{_datadir}/fonts/%{name}/LiterationMonoNerdFontMono-BoldItalic.ttf
%{_datadir}/fonts/%{name}/LiterationMonoNerdFontMono-Italic.ttf
%{_datadir}/fonts/%{name}/LiterationMonoNerdFontMono-Regular.ttf
%{_datadir}/fonts/%{name}/LiterationMonoNerdFontPropo-Bold.ttf
%{_datadir}/fonts/%{name}/LiterationMonoNerdFontPropo-BoldItalic.ttf
%{_datadir}/fonts/%{name}/LiterationMonoNerdFontPropo-Italic.ttf
%{_datadir}/fonts/%{name}/LiterationMonoNerdFontPropo-Regular.ttf
%{_datadir}/fonts/%{name}/LiterationSansNerdFont-Bold.ttf
%{_datadir}/fonts/%{name}/LiterationSansNerdFont-BoldItalic.ttf
%{_datadir}/fonts/%{name}/LiterationSansNerdFont-Italic.ttf
%{_datadir}/fonts/%{name}/LiterationSansNerdFont-Regular.ttf
%{_datadir}/fonts/%{name}/LiterationSansNerdFontPropo-Bold.ttf
%{_datadir}/fonts/%{name}/LiterationSansNerdFontPropo-BoldItalic.ttf
%{_datadir}/fonts/%{name}/LiterationSansNerdFontPropo-Italic.ttf
%{_datadir}/fonts/%{name}/LiterationSansNerdFontPropo-Regular.ttf
%{_datadir}/fonts/%{name}/LiterationSerifNerdFont-Bold.ttf
%{_datadir}/fonts/%{name}/LiterationSerifNerdFont-BoldItalic.ttf
%{_datadir}/fonts/%{name}/LiterationSerifNerdFont-Italic.ttf
%{_datadir}/fonts/%{name}/LiterationSerifNerdFont-Regular.ttf
%{_datadir}/fonts/%{name}/LiterationSerifNerdFontPropo-Bold.ttf
%{_datadir}/fonts/%{name}/LiterationSerifNerdFontPropo-BoldItalic.ttf
%{_datadir}/fonts/%{name}/LiterationSerifNerdFontPropo-Italic.ttf
%{_datadir}/fonts/%{name}/LiterationSerifNerdFontPropo-Regular.ttf
%license "LICENSE"
%doc "README.md"

%changelog
* Sat May 10 2025 Kyle Bloom <kylejbloom@gmail.com> - 3.4.0-1
- Updated to version v3.4.0

* Sun Dec 01 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.3.0-1
- Updated to version v3.3.0

* Sat Jul 20 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.2.1-1
- Updated to version v3.2.1
